TAAS - Feature #249
Staff Responsible Sales Report

07/09/2023 04:17 PM - Anil

KV

Status: Reopen Bugs Coding Done Start date: 10/12/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Staff Responsible Sales Report

Description

Coding Staff Responsible Sales Report

History

#1 - 08/25/2023 12:28 PM -

Solution

Anil KV

-Check SOA, Ledger Stament, Overdue Reports

1) GUI Change
—Rmove Issue Date

- Add Currency - Empty allowed (Default), Basel (***),

—Sub Customer to Customer
— Add Consider Matching Done After To Date Checkbox - Default Tick

—Add Customer column

—Add Grouping in list title - No Grouping,

2) SQL

if ((matched, Oustanding)

in list after Issue Date

SELECT tr.fk_ledger_id,
ac.vhr_account_code,

ac.vhr_account_name,

ac.vhr_display_name,

tr.vhr_ledg_currency,
tr.dbl_ledg_cur_debit,
0.00 AS dbl_ledg_cur_matched,
tr.dbl_base_cur_debit,
0.00 AS dbl_base_cur_matched,

doc.vhr_document_no,

doc.dat_document,
doc.dat_due

FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents doc

ON tr.fk_documents_id = doc.pk_documents_id

AND doc.int_sys_action_id != -1
LEFT JOIN accounts.tbl_account AS ac
ON tr.fk_ledger_id = ac.pk_account_id
WHERE tr.sin_record_type IN (3, 4)
AND tr.vhr_sys_module_name = 'SALE'

AND (doc.fk_responsible_user_id IS NOT NULL OR doc.fk_responsible_emp_id IS NOT NULL)

AND tr.dbl_ledg_cur_debit > 0

ORDER BY doc.vhr_document_no, doc.dat_document

else

** JOIN Settlement LISKE SOA and Ledger stmt

-—Consider jsn_related_data - Take Ticket/Voucher No,

—-—if (overdue tick):
—— AND doc.dat_due <

<TO_DATE>

-—-fk_responsible_emp_id -> Employee and Account

05/04/2025

QAR, SQR, ...

Responsible Staff, Customer

or Consider Matching Done After To Date) then

Issue Date etc...
#2 - 08/25/2023 03:07 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Athul P

- % Done changed from 0 to 10

#3 - 10/12/2023 09:54 AM - Junaid M

- Assignee changed from Athul P to Amal Pious

#4 - 10/12/2023 10:22 AM - Amal Pious
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 10/13/2023 09:59 AM - Amal Pious
- Start date changed from 07/09/2023 to 10/12/2023

#6 - 10/17/2023 10:01 AM - Amal Pious
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 10/20/2023 06:26 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs Coding Done

- Tested By set to unnikannan S

ISSUE FOUNDED

1.DUPLICATION IN DOCUMENTS
2.ADD BASE 1 QAR WISE CHANGE

#8 - 12/19/2023 12:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.DATA SHOWING ONLY FROM SALE MODULE
2.CHANGE Ul NAME STATUS TO CONSIDER

#9 - 12/27/2023 10:38 AM - Anil KV

- Assignee changed from Amal Pious to Aparna Mathew

#10 - 01/08/2024 10:12 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 01/08/2024 03:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADDED PERIOD DATE SHOWN AS PAST DATE IN LIST
2.ADD VALIDATION FOR AS ON DATE
3.REMOVE BLANK OPTION FROM CURRENCY FIELD

#12 - 01/12/2024 11:58 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

05/04/2025
#13 - 01/12/2024 12:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NO DATA WHILE REDIRECTING TO DOCUMENTS FROM LIST
2.REMOVE PRINT STATUS ITEMS THAT NOT SHOWN IN Ul
3.NO CHANGE IN AMOUNT FIELD WHILE CHANGING CURRENCY IN FILTER FIELD

#14 - 01/19/2024 01:01 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 01/19/2024 05:02 PM - unnikannan S
TESTING DONE

#16 - 01/19/2024 05:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CORRECT THE WORK FLOW OF AS ON DATE WISE FILTER CHECKING WITH CONSIDER CHECKING CASE

#17 - 01/22/2024 09:42 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 02/14/2024 11:14 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR SHOWING DISCOUNT DETAILS SEPERATELY ON LIST

#19 - 02/22/2024 10:37 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 02/22/2024 02:26 PM - unnikannan S
TESTING DONE

#21 - 09/11/2024 11:51 AM - Arathy PS
ENHANCEMENT

Title Staff responsible sales ---> staff responsible sales report (ask junaid)

#22 - 09/28/2024 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#23 - 10/26/2024 06:04 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

05/04/2025
1. Voucher number not showing unless updated the sale.

2. Responsible employee filter not working.

3. Responsible employee name not showing in the grouping.
4. Can't tick or untick matched or outstanding field.

#24 - 10/29/2024 09:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 01/30/2025 12:09 PM - Arathy PS

- Assignee changed from Aparna Mathew to Nawal Sidique

#26 - 01/30/2025 12:18 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1. Not getting data when searching while having sale documents with booking and issuing staff.

#27 - 01/31/2025 06:42 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 02/05/2025 04:58 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. Data not showing for due date or due days for the documents with customers having payment terms.
2. Not showing refunded documents with booking or issuing staff.

#29 - 02/07/2025 06:38 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/04/2025
